Package org.kapott.hbci.sepa.jaxb.pain_002_003_03

# Class OriginalTransactionReferenceSEPA

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_003_03.OriginalTransactionReferenceSEPA

public class OriginalTransactionReferenceSEPA extends Object

Java class for OriginalTransactionReferenceSEPA complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OriginalTransactionReferenceSEPA">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}AmountTypeSEPA" minOccurs="0"/>
             <choice>
               <element name="ReqdColltnDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}ISODate" minOccurs="0"/>
               <element name="ReqdExctnDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}ISODate" minOccurs="0"/>
             </choice>
             <element name="CdtrSchmeId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}PartyIdentificationSEPA3" minOccurs="0"/>
             <element name="PmtTpInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}PaymentTypeInformationSEPA" minOccurs="0"/>
             <element name="PmtMtd" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}PaymentMethodSEPACode" minOccurs="0"/>
             <element name="MndtRltdInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}MandateRelatedInformationSEPA" minOccurs="0"/>
             <element name="RmtInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}RemittanceInformationSEPA2Choice" minOccurs="0"/>
             <element name="UltmtDbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}PartyIdentificationSEPA1" minOccurs="0"/>
             <element name="Dbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}PartyIdentificationSEPA2" minOccurs="0"/>
             <element name="DbtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}CashAccountSEPA1" minOccurs="0"/>
             <element name="DbtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}BranchAndFinancialInstitutionIdentificationSEPA3" minOccurs="0"/>
             <element name="CdtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}BranchAndFinancialInstitutionIdentificationSEPA3" minOccurs="0"/>
             <element name="Cdtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}PartyIdentificationSEPA2" minOccurs="0"/>
             <element name="CdtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}CashAccountSEPA1" minOccurs="0"/>
             <element name="UltmtCdtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}PartyIdentificationSEPA1" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected AmountTypeSEPA`
`amt`
`protected PartyIdentificationSEPA2`
`cdtr`
`protected CashAccountSEPA1`
`cdtrAcct`
`protected BranchAndFinancialInstitutionIdentificationSEPA3`
`cdtrAgt`
`protected PartyIdentificationSEPA3`
`cdtrSchmeId`
`protected PartyIdentificationSEPA2`
`dbtr`
`protected CashAccountSEPA1`
`dbtrAcct`
`protected BranchAndFinancialInstitutionIdentificationSEPA3`
`dbtrAgt`
`protected MandateRelatedInformationSEPA`
`mndtRltdInf`
`protected PaymentMethodSEPACode`
`pmtMtd`
`protected PaymentTypeInformationSEPA`
`pmtTpInf`
`protected XMLGregorianCalendar`
`reqdColltnDt`
`protected XMLGregorianCalendar`
`reqdExctnDt`
`protected RemittanceInformationSEPA2Choice`
`rmtInf`
`protected PartyIdentificationSEPA1`
`ultmtCdtr`
`protected PartyIdentificationSEPA1`
`ultmtDbtr`

## Constructor Summary

Constructors
Constructor
Description
`OriginalTransactionReferenceSEPA()`

## Method Summary

Modifier and Type
Method
Description
`AmountTypeSEPA`
`getAmt()`
Gets the value of the amt property.
`PartyIdentificationSEPA2`
`getCdtr()`
Gets the value of the cdtr property.
`CashAccountSEPA1`
`getCdtrAcct()`
Gets the value of the cdtrAcct property.
`BranchAndFinancialInstitutionIdentificationSEPA3`
`getCdtrAgt()`
Gets the value of the cdtrAgt property.
`PartyIdentificationSEPA3`
`getCdtrSchmeId()`
Gets the value of the cdtrSchmeId property.
`PartyIdentificationSEPA2`
`getDbtr()`
Gets the value of the dbtr property.
`CashAccountSEPA1`
`getDbtrAcct()`
Gets the value of the dbtrAcct property.
`BranchAndFinancialInstitutionIdentificationSEPA3`
`getDbtrAgt()`
Gets the value of the dbtrAgt property.
`MandateRelatedInformationSEPA`
`getMndtRltdInf()`
Gets the value of the mndtRltdInf property.
`PaymentMethodSEPACode`
`getPmtMtd()`
Gets the value of the pmtMtd property.
`PaymentTypeInformationSEPA`
`getPmtTpInf()`
Gets the value of the pmtTpInf property.
`XMLGregorianCalendar`
`getReqdColltnDt()`
Gets the value of the reqdColltnDt property.
`XMLGregorianCalendar`
`getReqdExctnDt()`
Gets the value of the reqdExctnDt property.
`RemittanceInformationSEPA2Choice`
`getRmtInf()`
Gets the value of the rmtInf property.
`PartyIdentificationSEPA1`
`getUltmtCdtr()`
Gets the value of the ultmtCdtr property.
`PartyIdentificationSEPA1`
`getUltmtDbtr()`
Gets the value of the ultmtDbtr property.
`void`
`setAmt(AmountTypeSEPA value)`
Sets the value of the amt property.
`void`
`setCdtr(PartyIdentificationSEPA2 value)`
Sets the value of the cdtr property.
`void`
`setCdtrAcct(CashAccountSEPA1 value)`
Sets the value of the cdtrAcct property.
`void`
`setCdtrAgt(BranchAndFinancialInstitutionIdentificationSEPA3 value)`
Sets the value of the cdtrAgt property.
`void`
`setCdtrSchmeId(PartyIdentificationSEPA3 value)`
Sets the value of the cdtrSchmeId property.
`void`
`setDbtr(PartyIdentificationSEPA2 value)`
Sets the value of the dbtr property.
`void`
`setDbtrAcct(CashAccountSEPA1 value)`
Sets the value of the dbtrAcct property.
`void`
`setDbtrAgt(BranchAndFinancialInstitutionIdentificationSEPA3 value)`
Sets the value of the dbtrAgt property.
`void`
`setMndtRltdInf(MandateRelatedInformationSEPA value)`
Sets the value of the mndtRltdInf property.
`void`
`setPmtMtd(PaymentMethodSEPACode value)`
Sets the value of the pmtMtd property.
`void`
`setPmtTpInf(PaymentTypeInformationSEPA value)`
Sets the value of the pmtTpInf property.
`void`
`setReqdColltnDt(XMLGregorianCalendar value)`
Sets the value of the reqdColltnDt property.
`void`
`setReqdExctnDt(XMLGregorianCalendar value)`
Sets the value of the reqdExctnDt property.
`void`
`setRmtInf(RemittanceInformationSEPA2Choice value)`
Sets the value of the rmtInf property.
`void`
`setUltmtCdtr(PartyIdentificationSEPA1 value)`
Sets the value of the ultmtCdtr property.
`void`
`setUltmtDbtr(PartyIdentificationSEPA1 value)`
Sets the value of the ultmtDbtr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### amt

protected AmountTypeSEPA amt

### reqdColltnDt

protected XMLGregorianCalendar reqdColltnDt

### reqdExctnDt

protected XMLGregorianCalendar reqdExctnDt

### cdtrSchmeId

protected PartyIdentificationSEPA3 cdtrSchmeId

### pmtTpInf

protected PaymentTypeInformationSEPA pmtTpInf

### pmtMtd

protected PaymentMethodSEPACode pmtMtd

### mndtRltdInf

protected MandateRelatedInformationSEPA mndtRltdInf

### rmtInf

protected RemittanceInformationSEPA2Choice rmtInf

### ultmtDbtr

protected PartyIdentificationSEPA1 ultmtDbtr

### dbtr

protected PartyIdentificationSEPA2 dbtr

### dbtrAcct

protected CashAccountSEPA1 dbtrAcct

### dbtrAgt

protected BranchAndFinancialInstitutionIdentificationSEPA3 dbtrAgt

### cdtrAgt

protected BranchAndFinancialInstitutionIdentificationSEPA3 cdtrAgt

### cdtr

protected PartyIdentificationSEPA2 cdtr

### cdtrAcct

protected CashAccountSEPA1 cdtrAcct

### ultmtCdtr

protected PartyIdentificationSEPA1 ultmtCdtr

## Constructor Details

### OriginalTransactionReferenceSEPA

public OriginalTransactionReferenceSEPA()

## Method Details

### getAmt

public AmountTypeSEPA getAmt()
Gets the value of the amt property.

Returns:
  possible object is `AmountTypeSEPA`

### setAmt

public void setAmt(AmountTypeSEPA value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `AmountTypeSEPA`

### getReqdColltnDt

public XMLGregorianCalendar getReqdColltnDt()
Gets the value of the reqdColltnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setReqdColltnDt

public void setReqdColltnDt(XMLGregorianCalendar value)
Sets the value of the reqdColltnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getReqdExctnDt

public XMLGregorianCalendar getReqdExctnDt()
Gets the value of the reqdExctnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setReqdExctnDt

public void setReqdExctnDt(XMLGregorianCalendar value)
Sets the value of the reqdExctnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getCdtrSchmeId

public PartyIdentificationSEPA3 getCdtrSchmeId()
Gets the value of the cdtrSchmeId property.

Returns:
  possible object is `PartyIdentificationSEPA3`

### setCdtrSchmeId

public void setCdtrSchmeId(PartyIdentificationSEPA3 value)
Sets the value of the cdtrSchmeId property.

Parameters:
  `value` - allowed object is `PartyIdentificationSEPA3`

### getPmtTpInf

public PaymentTypeInformationSEPA getPmtTpInf()
Gets the value of the pmtTpInf property.

Returns:
  possible object is `PaymentTypeInformationSEPA`

### setPmtTpInf

public void setPmtTpInf(PaymentTypeInformationSEPA value)
Sets the value of the pmtTpInf property.

Parameters:
  `value` - allowed object is `PaymentTypeInformationSEPA`

### getPmtMtd

public PaymentMethodSEPACode getPmtMtd()
Gets the value of the pmtMtd property.

Returns:
  possible object is `PaymentMethodSEPACode`

### setPmtMtd

public void setPmtMtd(PaymentMethodSEPACode value)
Sets the value of the pmtMtd property.

Parameters:
  `value` - allowed object is `PaymentMethodSEPACode`

### getMndtRltdInf

public MandateRelatedInformationSEPA getMndtRltdInf()
Gets the value of the mndtRltdInf property.

Returns:
  possible object is `MandateRelatedInformationSEPA`

### setMndtRltdInf

public void setMndtRltdInf(MandateRelatedInformationSEPA value)
Sets the value of the mndtRltdInf property.

Parameters:
  `value` - allowed object is `MandateRelatedInformationSEPA`

### getRmtInf

public RemittanceInformationSEPA2Choice getRmtInf()
Gets the value of the rmtInf property.

Returns:
  possible object is `RemittanceInformationSEPA2Choice`

### setRmtInf

public void setRmtInf(RemittanceInformationSEPA2Choice value)
Sets the value of the rmtInf property.

Parameters:
  `value` - allowed object is `RemittanceInformationSEPA2Choice`

### getUltmtDbtr

public PartyIdentificationSEPA1 getUltmtDbtr()
Gets the value of the ultmtDbtr property.

Returns:
  possible object is `PartyIdentificationSEPA1`

### setUltmtDbtr

public void setUltmtDbtr(PartyIdentificationSEPA1 value)
Sets the value of the ultmtDbtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSEPA1`

### getDbtr

public PartyIdentificationSEPA2 getDbtr()
Gets the value of the dbtr property.

Returns:
  possible object is `PartyIdentificationSEPA2`

### setDbtr

public void setDbtr(PartyIdentificationSEPA2 value)
Sets the value of the dbtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSEPA2`

### getDbtrAcct

public CashAccountSEPA1 getDbtrAcct()
Gets the value of the dbtrAcct property.

Returns:
  possible object is `CashAccountSEPA1`

### setDbtrAcct

public void setDbtrAcct(CashAccountSEPA1 value)
Sets the value of the dbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccountSEPA1`

### getDbtrAgt

public BranchAndFinancialInstitutionIdentificationSEPA3 getDbtrAgt()
Gets the value of the dbtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentificationSEPA3`

### setDbtrAgt

public void setDbtrAgt(BranchAndFinancialInstitutionIdentificationSEPA3 value)
Sets the value of the dbtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentificationSEPA3`

### getCdtrAgt

public BranchAndFinancialInstitutionIdentificationSEPA3 getCdtrAgt()
Gets the value of the cdtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentificationSEPA3`

### setCdtrAgt

public void setCdtrAgt(BranchAndFinancialInstitutionIdentificationSEPA3 value)
Sets the value of the cdtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentificationSEPA3`

### getCdtr

public PartyIdentificationSEPA2 getCdtr()
Gets the value of the cdtr property.

Returns:
  possible object is `PartyIdentificationSEPA2`

### setCdtr

public void setCdtr(PartyIdentificationSEPA2 value)
Sets the value of the cdtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSEPA2`

### getCdtrAcct

public CashAccountSEPA1 getCdtrAcct()
Gets the value of the cdtrAcct property.

Returns:
  possible object is `CashAccountSEPA1`

### setCdtrAcct

public void setCdtrAcct(CashAccountSEPA1 value)
Sets the value of the cdtrAcct property.

Parameters:
  `value` - allowed object is `CashAccountSEPA1`

### getUltmtCdtr

public PartyIdentificationSEPA1 getUltmtCdtr()
Gets the value of the ultmtCdtr property.

Returns:
  possible object is `PartyIdentificationSEPA1`

### setUltmtCdtr

public void setUltmtCdtr(PartyIdentificationSEPA1 value)
Sets the value of the ultmtCdtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSEPA1`